/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtk_freetype.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#ifndef vtk_freetype_h
#define vtk_freetype_h

/* Use the freetype library configured for VTK.  */
#define VTK_USE_SYSTEM_FREETYPE

#ifdef VTK_USE_SYSTEM_FREETYPE
# include <ft2build.h>
/* FT_CALLBACK_DEF no longer exported since freetype-2.10.3 */
/* has been moved to <freetype/internal/compiler-macros.h> */
# ifndef FT_CALLBACK_DEF
#  ifdef __cplusplus
#   define FT_CALLBACK_DEF( x )  extern "C"  x
#  else
#   define FT_CALLBACK_DEF( x )  static  x
#  endif
# endif /* FT_CALLBACK_DEF */
#else
# include <vtkfreetype/include/ft2build.h>
#endif

#endif // #ifndef vtk_freetype_h
